* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body, input {
  font-family: 'Poppins', sans-serif;
}

body {
 background: #E5E5E5;
}

body::before {
  content: '';
  width: 100%;
  height: 436px;

  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;

  background: #535971;
}

.page {
  width: 750px;
  margin: auto;
}

header {
  width: 400px;
  margin-top: 140px;
}

header h1 {
  font-family: 'Staatliches';
  font-size: 48px;
  line-height: 60px;

  margin-bottom: 18px;

  color: #FFFFFF;
}

header p {
  font-size: 20px;
  line-height: 30px;

  color: #FFFFFF;
}

form {
  margin-top: 55px;
  padding: 64px;

  background: #FFFFFF;

  min-height: 300px;
  border-radius: 20px 20px 0px 0px;
  width: 750px;
  

  display: flex;
  flex-direction: column;
  gap: 48px;
}

fieldset {
  border: none;
}

.fieldset-wrapper {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

fieldset legend {
  font-family: 'Staatliches';
  font-size: 24px;
  line-height: 34px;
  width: 100%;

  border-bottom: 1px solid #E6E6F0;

  color: #535971;

  padding-bottom: 14px;
}

.name {
  display: flex;
  gap: 21px;
}

.input-wrapper {
  display: flex;
  flex-direction: column;
}

.input-wrapper label {
  font-size: 14px;
  line-height: 24px;

  color: #4E4958;

  margin-bottom: 7px;
}

.input-wrapper label span {
  margin-left: 8px;

  font-size: 12px;
  line-height: 20px;

  color: #C1BCCC;
}

.input-wrapper label span:hover {
  color: #6a6770;
}

.input-wrapper input {
  border: 1px solid #E6E6F0;
  border-radius: 8px;

  background: #FAFAFC;

  height: 56px;
  padding: 0 24px;

  font-size: 16px;
  line-height: 26px;

  color: #C1BCCC;
}

p {
  font-family: 'Staatliches';
  font-size: 20px;
  line-height: 34px;

  color: #535971;

  margin-top: 27px;
}

.col {
  display: flex;
  gap: 9px;
}

.col > div:nth-child(1) {
  width: 100%;
}

.col-2 {
  display: flex;
  gap: 9px;
}

.col-2 > div:nth-child(1) {
  width: 100%;
}

footer {
  background: #535971;
  
  border-radius: 0px 0px 20px 20px;

  position: absolute;
  width: 750px;
  height: 160px;

  text-align: center;
}

footer .button {
  font-family: 'Staatliches';
  font-size: 20px;
  line-height: 26px;
  
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 15px 40px;
  gap: 10px;
  
  margin: 52px 71px;
  position: absolute;
  width: 608px;
  height: 55px;

  border: none;
  
  color: #FFFFFF;
  background: #FF5374;

  border-radius: 20px
}

footer .button:hover {
  background: #b82845;
}

input:invalid {
  border: 1px solid red;
}